Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1658244 - [abrt] ghostscript: SkipPage(): gs killed by SIGSEGV
Summary: [abrt] ghostscript: SkipPage(): gs killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Osvald
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bac3fffb351e41060d81449054c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 15:26 UTC by cornosier
Modified: 2019-03-09 13:54 UTC (History)
7 users (show)

Fixed In Version: ghostscript-9.26-1.fc29 ghostscript-9.26-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 02:55:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (90.89 KB, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: cgroup (341 bytes, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: core_backtrace (6.92 KB, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: cpuinfo (1.75 KB, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: dso_list (5.55 KB, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: environ (1.91 KB, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: exploitable (112 bytes, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: maps (35.79 KB, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: mountinfo (3.38 KB, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: open_fds (403 bytes, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-12-11 15:26 UTC, cornosier
no flags Details
the file was created by scribus (910.57 KB, application/pdf)
2018-12-12 09:17 UTC, cornosier
no flags Details
misreading (27.12 KB, image/jpeg)
2018-12-12 09:19 UTC, cornosier
no flags Details

Description cornosier 2018-12-11 15:26:18 UTC
Description of problem:
In scribus (scribus-1.4.6-14.fc29)
image insertion and choose a pdf

Version-Release number of selected component:
ghostscript-9.25-1.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        gs -q -dNOPAUSE -dQUIET -dPARANOIDSAFER -dBATCH -sDEVICE=pngalpha -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -r72 -sOutputFile=/home/gland/.scribus/sc.png -dFirstPage=1 -dLastPage=1 /donnees/plantes/pissenlit_feuilles.pdf -c showpage
crash_function: SkipPage
executable:     /usr/bin/gs
journald_cursor: s=c6d9391238b14e9d8b2d0994f349f79f;i=26d53;b=32cfddfe421949f583778aa828bd3173;m=5ce936678;t=57cc08fdaa6ef;x=66e3d3842b2e77cc
kernel:         4.19.6-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SkipPage at ./base/gdevflp.c:356
 #1 flp_put_image at ./base/gdevflp.c:1139
 #2 pdf14_put_image at ./base/gdevp14.c:1949
 #3 gx_update_pdf14_compositor at ./base/gdevp14.c:3737
 #4 apply_create_compositor at ./base/gxclrast.c:2988
 #5 execute_compositor_queue at ./base/gxclrast.c:386
 #6 clist_playback_band at ./base/gxclrast.c:1668
 #7 clist_playback_file_bands at ./base/gxclread.c:921
 #8 clist_render_rectangle at ./base/gxclread.c:855
 #9 clist_rasterize_lines at ./base/gxclread.c:744

Comment 1 cornosier 2018-12-11 15:26:24 UTC
Created attachment 1513421 [details]
File: backtrace

Comment 2 cornosier 2018-12-11 15:26:25 UTC
Created attachment 1513422 [details]
File: cgroup

Comment 3 cornosier 2018-12-11 15:26:27 UTC
Created attachment 1513423 [details]
File: core_backtrace

Comment 4 cornosier 2018-12-11 15:26:29 UTC
Created attachment 1513424 [details]
File: cpuinfo

Comment 5 cornosier 2018-12-11 15:26:30 UTC
Created attachment 1513425 [details]
File: dso_list

Comment 6 cornosier 2018-12-11 15:26:31 UTC
Created attachment 1513426 [details]
File: environ

Comment 7 cornosier 2018-12-11 15:26:33 UTC
Created attachment 1513427 [details]
File: exploitable

Comment 8 cornosier 2018-12-11 15:26:34 UTC
Created attachment 1513428 [details]
File: limits

Comment 9 cornosier 2018-12-11 15:26:36 UTC
Created attachment 1513429 [details]
File: maps

Comment 10 cornosier 2018-12-11 15:26:38 UTC
Created attachment 1513430 [details]
File: mountinfo

Comment 11 cornosier 2018-12-11 15:26:39 UTC
Created attachment 1513431 [details]
File: open_fds

Comment 12 cornosier 2018-12-11 15:26:41 UTC
Created attachment 1513432 [details]
File: proc_pid_status

Comment 13 Martin Osvald 2018-12-12 08:30:21 UTC
Hello,

thank you for reporting this problem!

Would it be possible for you to attach the pissenlit_feuilles.pdf file here?

If you were concerned about privacy, you can set a private flag while attaching it or send it directly to me over email (mosvald).

Thank you and regards,
-Martin

Comment 14 cornosier 2018-12-12 09:17:19 UTC
Created attachment 1513628 [details]
the file was created by scribus

this file created by scribus can not be inserted as image in scribus.
see the following file

Comment 15 cornosier 2018-12-12 09:19:43 UTC
Created attachment 1513629 [details]
misreading

French screenshot
thank you

Comment 16 Martin Osvald 2018-12-12 09:32:28 UTC
Thank you very much for providing the file so quickly!

I can reproduce the crash now using the provided pissenlit_feuilles.pdf.

I will investigate and try to return back to you soon.

Comment 17 cornosier 2018-12-12 09:45:31 UTC
pdf files created with scribus are no longer readable by itself unless we have taken the option "Generate a file for each page"
(automatic translation)

Comment 18 todd_lewis 2018-12-31 21:34:55 UTC
Similar problem has been detected:

Tried to load a .pdf as an image into Scribus. This procedure has worked for years, but has been failing for the last couple of months.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        gs -q -dNOPAUSE -dQUIET -dPARANOIDSAFER -dBATCH -sDEVICE=pngalpha -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -r72 -sOutputFile=/home/utoddl/.scribus/sc.png -dFirstPage=1 -dLastPage=1 /work/Tamara-C/Organ/Newsletter/2019-01Jan/DafferAdJan.pdf -c showpage
crash_function: SkipPage
executable:     /usr/bin/gs
journald_cursor: s=e6a80b85244d475cb8a61098bf233bda;i=e973f;b=fab692261329419081730807d0681195;m=295f55f2b7;t=57e5808230392;x=716467c0aab5dbcc
kernel:         4.19.10-300.fc29.x86_64
package:        ghostscript-9.25-1.fc29
reason:         gs killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            12428

Comment 19 Tomas Korbar 2019-02-07 15:04:26 UTC
Hi,
this issue will be fixed by the upcoming rebase of ghostscript to version 9.26.

Comment 20 Fedora Update System 2019-02-07 15:50:50 UTC
ghostscript-9.26-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-077a3f23c0

Comment 21 Fedora Update System 2019-02-07 15:51:08 UTC
ghostscript-9.26-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-82acb29c1b

Comment 22 Fedora Update System 2019-02-10 01:50:43 UTC
ghostscript-9.26-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-82acb29c1b

Comment 23 Fedora Update System 2019-02-10 04:27:57 UTC
ghostscript-9.26-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-077a3f23c0

Comment 24 Fedora Update System 2019-02-12 02:55:57 UTC
ghostscript-9.26-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-02-18 01:26:16 UTC
ghostscript-9.26-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 cornosier 2019-03-06 10:45:23 UTC
the problem still exists with scribus-1.4.6-14.fc29 and ghostscript 9.26-1.fc29.x86_64

Comment 27 cornosier 2019-03-06 17:57:39 UTC
it seems that the problem comes from scribus because if I convert pdf to ps and ps to pdf, the file is accepted by scribus
thank you
automatic translation

Comment 28 cornosier 2019-03-09 13:54:24 UTC
I installed ghostscript-9.25-1.fc29, there is no more problem
Gérard


Note You need to log in before you can comment on or make changes to this bug.